tools:
  interactive_tool:
    cores: 1
    mem: 4
    params:
      docker_enabled: true
    scheduling:
      require:
        - pulsar-embedded-docker-gxit

    rules:
        - if: not user
          fail: |
            Interactive tools require registration. Please log-in or register on https://usegalaxy.fr/login

  interactive_tool_askomics:
    inherits: interactive_tool

  interactive_tool_audiolabeler:
    inherits: interactive_tool

  interactive_tool_neo4j:
    inherits: interactive_tool

  interactive_tool_bam_iobio:
    inherits: interactive_tool

  interactive_tool_cellxgene:
    inherits: interactive_tool

  interactive_tool_climate_notebook:
    inherits: interactive_tool

  interactive_tool_ethercalc:
    inherits: interactive_tool

  interactive_tool_geoexplorer:
    inherits: interactive_tool

  interactive_tool_guacamole_desktop:
    inherits: interactive_tool
    cores: 8
    mem: 2

  interactive_tool_hicbrowser:
    inherits: interactive_tool

  interactive_tool_jupyter_notebook:
    inherits: interactive_tool
    rules:
        - if: not any(r.name == "gxit-users" for r in user.all_roles() if not r.deleted)
          fail: |
            Due to abuse, Jupyter usage requires specific permissions from administrators. Please ask us on https://community.france-bioinformatique.fr


  interactive_tool_metashark:
    inherits: interactive_tool

  interactive_tool_openrefine:
    inherits: interactive_tool

  interactive_tool_panoply:
    inherits: interactive_tool

  interactive_tool_paraview:
    inherits: interactive_tool

  interactive_tool_phinch:
    inherits: interactive_tool

  interactive_tool_radiant:
    inherits: interactive_tool

  interactive_tool_higlass:
    inherits: interactive_tool
    mem: 20
    cores: 5

  interactive_tool_pyiron:
    inherits: interactive_tool
    mem: 8

  interactive_tool_rstudio:
    inherits: interactive_tool
    mem: 8
    rules:
        - if: not any(r.name == "gxit-users" for r in user.all_roles() if not r.deleted)
          fail: |
            Due to abuse, RStudio usage requires specific permissions from administrators. Please ask us on https://community.france-bioinformatique.fr

  interactive_tool_rstudio_askor:
    inherits: interactive_tool
    mem: 8
    rules:
        - if: not any(r.name == "gxit-users" for r in user.all_roles() if not r.deleted)
          fail: |
            Due to abuse, RStudio usage requires specific permissions from administrators. Please ask us on https://community.france-bioinformatique.fr

  interactive_tool_rstudio_data-integration:
    inherits: interactive_tool
    mem: 8
    rules:
        - if: not any(r.name == "gxit-users" for r in user.all_roles() if not r.deleted)
          fail: |
            Due to abuse, RStudio usage requires specific permissions from administrators. Please ask us on https://community.france-bioinformatique.fr

  interactive_tool_vcf_iobio:
    inherits: interactive_tool

  interactive_tool_wallace:
    inherits: interactive_tool

  interactive_tool_wilson:
    inherits: interactive_tool

  interactive_tool_phyloseq:
    inherits: interactive_tool

  interactive_tool_pavian:
    inherits: interactive_tool
